// package: bet.beteran.member
// file: models/member/member_level.proto

import * as jspb from 'google-protobuf';

export class MemberLevel extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getName(): string;
  setName(value: string): void;

  getSortOrder(): number;
  setSortOrder(value: number): void;

  getCreatedAt(): number;
  setCreatedAt(value: number): void;

  getUpdatedAt(): number;
  setUpdatedAt(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): MemberLevel.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: MemberLevel
  ): MemberLevel.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: MemberLevel,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): MemberLevel;
  static deserializeBinaryFromReader(
    message: MemberLevel,
    reader: jspb.BinaryReader
  ): MemberLevel;
}

export namespace MemberLevel {
  export type AsObject = {
    id: string;
    name: string;
    sortOrder: number;
    createdAt: number;
    updatedAt: number;
  };
}
